
Katello - Bug #6573

Satellite6 should error when the user attempts to sort on a non-sortable field

07/10/2014 03:37 PM - Adam Price

Status: Rejected   

Priority: Normal   

Assignee: Adam Price   

Category: API   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1110431 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1110431

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1. hammer activation-key list --organization-id=1 --by='name'

---|--------------|----------------|-----------------------|-------------

ID | NAME         | CONSUMED       | LIFECYCLE ENVIRONMENT | CONTENT VIEW

---|--------------|----------------|-----------------------|-------------

8  | ak1234       | 0 of Unlimited |                       | cv1

12 | ak12345678   | 0 of Unlimited |                       | cv1

5  | actkey       | 0 of Unlimited | DEV                   | cv1

1  | actkey1      | 1 of Unlimited | DEV                   | cv1

4  | test1        | 0 of Unlimited |                       |

7  | ak123        | 0 of Unlimited |                       | cv1

11 | ak1234567    | 0 of Unlimited |                       | cv1

14 | ak1234567890 | 0 of Unlimited |                       | cv1

6  | ak           | 0 of Unlimited |                       | cv1

9  | ak12345      | 0 of Unlimited | Library               | cv1

10 | ak123456     | 0 of Unlimited |                       | cv1

13 | ak123456789  | 0 of 100       |                       | cv1

---|--------------|----------------|-----------------------|-------------

1. hammer activation-key list --organization-id=1 --by='contentview'

---|--------------|----------------|-----------------------|-------------

ID | NAME         | CONSUMED       | LIFECYCLE ENVIRONMENT | CONTENT VIEW

---|--------------|----------------|-----------------------|-------------

8  | ak1234       | 0 of Unlimited |                       | cv1

12 | ak12345678   | 0 of Unlimited |                       | cv1

5  | actkey       | 0 of Unlimited | DEV                   | cv1

1  | actkey1      | 1 of Unlimited | DEV                   | cv1

4  | test1        | 0 of Unlimited |                       |

7  | ak123        | 0 of Unlimited |                       | cv1

11 | ak1234567    | 0 of Unlimited |                       | cv1

14 | ak1234567890 | 0 of Unlimited |                       | cv1

6  | ak           | 0 of Unlimited |                       | cv1

9  | ak12345      | 0 of Unlimited | Library               | cv1

10 | ak123456     | 0 of Unlimited |                       | cv1

13 | ak123456789  | 0 of 100       |                       | cv1

---|--------------|----------------|-----------------------|-------------

Actual results:
Note that the above two results does not change

Expected results:

The --by attribute should sort the results on the given field

Additional info:

I also tried the following commands and the result was same:

#hammer activation-key list --organization-id=1 --by='NAME'

#hammer activation-key list --organization-id=1 --by='CONTENT VIEW'

Associated revisions

Revision 3ec51c07 - 07/28/2014 02:04 PM - Adam Price

fixes #6573 - foretello should error when sorting by non-sortable field, BZ 1110431

Revision 6e867e16 - 07/28/2014 02:04 PM - Adam Price 

fixes #6573 - foretello should error when sorting by non-sortable field, BZ 1110431

Revision 07075dc8 - 08/04/2014 09:53 AM - Adam Price

Merge pull request #4420 from komidore64/rmi6573-error-on-non-sort-field

fixes #6573 - need better errors when sorting by a non-sortable field

Revision 5edddb73 - 08/04/2014 09:53 AM - Adam Price 

Merge pull request #4420 from komidore64/rmi6573-error-on-non-sort-field

fixes #6573 - need better errors when sorting by a non-sortable field

History

#1 - 07/14/2014 08:22 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4420 added

- Pull request deleted ()

#2 - 07/14/2014 10:49 PM - Eric Helms

- Category set to API

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 07/28/2014 08:46 AM - Eric Helms

- Target version changed from 49 to 54

#4 - 08/04/2014 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|3ec51c074a3decb6656f85195d98b39f57ccf430.

#5 - 08/07/2014 06:03 PM - Adam Price

- Status changed from Closed to Assigned

#6 - 08/15/2014 01:30 PM - Eric Helms

- Target version deleted (54)

#7 - 12/09/2014 11:36 AM - Eric Helms

- Status changed from Assigned to Closed
- translation missing: en.field_release set to 14

#8 - 12/19/2016 02:39 PM - John Mitsch

- Status changed from Closed to Assigned

- translation missing: en.field_release changed from 14 to 114

- Pull request deleted (https://github.com/Katello/katello/pull/4420)

This commit was reverted upstream, so this is still an issue, changing to assigned.

#9 - 08/28/2019 08:13 PM - John Mitsch

- Status changed from Assigned to Rejected

- Target version deleted (Katello Backlog)

Thanks for reporting this issue. This issue was created over 4 years ago and hasn't seen an update in 1 year. We are closing this in an effort to keep

a realistic backlog. Please open up a new issue that includes a link to this issue if you feel this still needs to be addressed. We can then triage the

new issue and reassess.
